Package org.h2gis.functions.spatial.snap

## Class ST_SnapToSelf

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.snap.ST_SnapToSelf

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_SnapToSelf
    extends org.h2gis.api.DeterministicScalarFunction

Snaps a geometry to itself with a given tolerance Allows optionally cleaning the result to ensure it is topologically valid

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_SnapToSelf()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.locationtech.jts.geom.Geometry` `execute​(org.locationtech.jts.geom.Geometry geometryA, double distance)` Snaps a geometry to itself with a given tolerance
`static org.locationtech.jts.geom.Geometry` `execute​(org.locationtech.jts.geom.Geometry geometryA, double distance, boolean clean)` Snaps a geometry to itself with a given tolerance
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_SnapToSelf

    public ST_SnapToSelf()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### execute

    public static org.locationtech.jts.geom.Geometry execute​(org.locationtech.jts.geom.Geometry geometryA,
                                                             double distance)
                                                      throws SQLException

Snaps a geometry to itself with a given tolerance

Parameters:
  `geometryA` - a geometry to snap
  `distance` - the tolerance to use
Returns:
  the snapped geometries
Throws:
  `SQLException`

#### execute

    public static org.locationtech.jts.geom.Geometry execute​(org.locationtech.jts.geom.Geometry geometryA,
                                                             double distance,
                                                             boolean clean)
                                                      throws SQLException

Snaps a geometry to itself with a given tolerance

Parameters:
  `geometryA` - a geometry to snap
  `distance` - the tolerance to use
  `clean` - true to clean the geometry
Returns:
  the snapped geometries
Throws:
  `SQLException`